indexing

	description: "[

		Scene where player selects difficulty of game.

	]"
	date: "$Date: 2005/10/23 15:36:50 $"
	revision: "$Revision: 1.5 $"

class CHOOSE_SCENE

inherit

	EM_COMPONENT_SCENE
	redefine
		handle_key_down_event
	end

create

	make

feature -- Properties

	continue: BOOLEAN
		-- Continue program or quit?

	min_size: INTEGER
		-- Minimum number size for calculation

	range: INTEGER
		-- Number range for calculation

	button_easy: EM_BUTTON
		-- Chooses easy difficulty

	button_medium: EM_BUTTON
		-- Chooses easy difficulty

	button_hard: EM_BUTTON
		-- Chooses easy difficulty

	button_quit: EM_BUTTON
		-- Quit program

feature -- Initialization

	make is
			-- Make 'current'
		do
			make_component_scene

			create button_easy.make_from_text("Easy")
			button_easy.set_x(50)
			button_easy.set_y(50)
			button_easy.set_width(120)
			button_easy.set_height(50)
			button_easy.clicked_event.subscribe(agent easy_click)
			add_component(button_easy)

			create button_medium.make_from_text("Medium")
			button_medium.set_x(50)
			button_medium.set_y(150)
			button_medium.set_width(120)
			button_medium.set_height(50)
			button_medium.clicked_event.subscribe(agent medium_click)
			add_component(button_medium)

			create button_hard.make_from_text("Hard")
			button_hard.set_x(50)
			button_hard.set_y(250)
			button_hard.set_width(120)
			button_hard.set_height(50)
			button_hard.clicked_event.subscribe(agent hard_click)
			add_component(button_hard)

			create button_quit.make_from_text("Quit")
			button_quit.set_x(50)
			button_quit.set_y(350)
			button_quit.set_width(120)
			button_quit.set_height(50)
			button_quit.clicked_event.subscribe(agent quit_click)
			add_component(button_quit)
		end

feature -- Event Handlers

	easy_click is
			-- Easy is chosen
		do
			min_size := 5
			range := 25
			continue := true
			event_loop.stop
		end

	medium_click is
			-- Easy is chosen
		do
			min_size := 5
			range := 50
			continue := true
			event_loop.stop
		end

	hard_click is
			-- Easy is chosen
		do
			min_size := 5
			range := 100
			continue := true
			event_loop.stop
		end

	quit_click is
			-- Easy is chosen
		do
			continue := false
			event_loop.stop
		end

	handle_key_down_event (a_keyboard_event: EM_KEYBOARD_EVENT) is
			-- Handle key down event.
		do
			Precursor(a_keyboard_event)
			if a_keyboard_event.key = a_keyboard_event.sdlk_escape then
				event_loop.stop
			end
		end

end