indexing

	description: "[

		Example showing how to use the highscore library

	]"
	date: "$Date: 2005/10/28 15:41:22 $"
	revision: "$Revision: 1.10 $"

class HIGHSCORE_EXAMPLE

inherit
	EM_APPLICATION

	SHARED_HIGHSCORE

create
	make

feature -- Initialization

	make is
			-- Create the main application.
		do
			network_subsystem.enable

			video_subsystem.set_video_surface_height (480)
			video_subsystem.set_video_surface_width(640)
			video_subsystem.set_video_bpp (32)

			video_subsystem.set_opengl(false)

			video_subsystem.set_cursor_visibility (true)

			video_subsystem.enable
			initialize_screen

			set_window_title ("EiffelMedia Highscore Example")
			set_window_icon ("./icon.png")
			set_application_id ("em_highscore_example")

			-- Read local highscore from default path (see documentation for more info)
			highscore.read_local

			set_scene (create {NEW_ENTRY_SCENE}.make_widget_scene)
			launch

			-- Write local highscore to disc
			highscore.write_local

			network_subsystem.disable
			video_subsystem.disable
		end
end
