indexing

	description: "[

		Example that demonstrated how to use the classes generated with
		EiffelMedia Resource Generator

	]"
	date: "$Date: 2005/10/26 18:07:42 $"
	revision: "$Revision: 1.18 $"

class RESOURCE_LOADING

inherit

	EM_APPLICATION

	SHARED_RESOURCES

create

	make

feature -- Initialization

	make is
				-- Create the main application.
		do

			video_subsystem.set_cursor_visibility (true)

			video_subsystem.set_video_surface_width(640)
			video_subsystem.set_video_surface_height (480)
			video_subsystem.set_video_bpp (32)

			video_subsystem.set_opengl(false)
			video_subsystem.enable
			
			initialize_screen

			set_window_title ("EiffelMedia Resource Loading Example")
			set_window_icon ("icon.png")
			set_application_id ("em_resource_loading")

			audio_subsystem.enable
			audio_subsystem.mixer.open_default

			resources.load_loadingscene

			set_scene (create {LOADING_SCENE}.make_widget_scene)
			launch

			audio_subsystem.disable
			video_subsystem.disable
		end
end
