indexing

	description: "[

		Example that demonstrates the classes generated with
		EiffelMedia Settings Generator

	]"
	date: "$Date: 2005/10/26 18:07:42 $"
	revision: "$Revision: 1.12 $"

class SETTINGS_WITH_WIDGETS

inherit

	EM_SHARED_USER_DIRECTORY

	SHARED_SETTINGS

	EM_APPLICATION

create

	make

feature -- Initialization

	make is
			-- root procedure of example
		do
			audio_subsystem.enable
			audio_subsystem.mixer.open_default

			video_subsystem.set_video_surface_width(640)
			video_subsystem.set_video_surface_height (480)
			video_subsystem.set_video_bpp (32)
			video_subsystem.set_opengl(false)
			video_subsystem.enable
			initialize_screen

			video_subsystem.set_cursor_visibility (true)

			set_window_title ("EiffelMedia Settings with Widgets Example")
			set_window_icon ("icon.png")
			set_application_id ("settings_with_widgets")

			set_scene (create {SETTINGS_SCENE}.make_widget_scene)

			settings.read_user_settings
			launch
			-- When the application closes, write the user settings to disc
			settings.write_user_settings

			video_subsystem.disable
			audio_subsystem.disable
		end
end
