#ifndef EWG_CALLBACK_EM___
#define EWG_CALLBACK_EM___

#include <em.h>

typedef Uint32 (*sdl_timer_callback_eiffel_feature) (void *a_class, Uint32 interval);

void* get_sdl_timer_callback_stub ();

struct sdl_timer_callback_entry_struct
{
	void* a_class;
	sdl_timer_callback_eiffel_feature feature;
};

void set_sdl_timer_callback_entry (void* a_class, void* a_feature);

Uint32 call_sdl_timer_callback (void *a_function, Uint32 interval);


#include <em.h>

typedef Uint32 (*sdl_new_timer_callback_eiffel_feature) (void *a_class, Uint32 interval, void *param);

void* get_sdl_new_timer_callback_stub ();

struct sdl_new_timer_callback_entry_struct
{
	void* a_class;
	sdl_new_timer_callback_eiffel_feature feature;
};

void set_sdl_new_timer_callback_entry (void* a_class, void* a_feature);

Uint32 call_sdl_new_timer_callback (void *a_function, Uint32 interval, void *param);


#include <em.h>

typedef int (*sdl_event_filter_eiffel_feature) (void *a_class, SDL_Event const *event);

void* get_sdl_event_filter_stub ();

struct sdl_event_filter_entry_struct
{
	void* a_class;
	sdl_event_filter_eiffel_feature feature;
};

void set_sdl_event_filter_entry (void* a_class, void* a_feature);

int call_sdl_event_filter (void *a_function, SDL_Event const *event);


#include <em.h>

typedef void (*void_voidp_uint8p_int_anonymous_callback_1_eiffel_feature) (void *a_class, void *udata, Uint8 *stream, int len);

void* get_void_voidp_uint8p_int_anonymous_callback_1_stub ();

struct void_voidp_uint8p_int_anonymous_callback_1_entry_struct
{
	void* a_class;
	void_voidp_uint8p_int_anonymous_callback_1_eiffel_feature feature;
};

void set_void_voidp_uint8p_int_anonymous_callback_1_entry (void* a_class, void* a_feature);

void call_void_voidp_uint8p_int_anonymous_callback_1 (void *a_function, void *udata, Uint8 *stream, int len);


#include <em.h>

typedef void (*void_void_anonymous_callback_1_eiffel_feature) (void *a_class);

void* get_void_void_anonymous_callback_1_stub ();

struct void_void_anonymous_callback_1_entry_struct
{
	void* a_class;
	void_void_anonymous_callback_1_eiffel_feature feature;
};

void set_void_void_anonymous_callback_1_entry (void* a_class, void* a_feature);

void call_void_void_anonymous_callback_1 (void *a_function);


#include <em.h>

typedef void (*void_int_anonymous_callback_eiffel_feature) (void *a_class, int channel);

void* get_void_int_anonymous_callback_stub ();

struct void_int_anonymous_callback_entry_struct
{
	void* a_class;
	void_int_anonymous_callback_eiffel_feature feature;
};

void set_void_int_anonymous_callback_entry (void* a_class, void* a_feature);

void call_void_int_anonymous_callback (void *a_function, int channel);


#include <em.h>

typedef void (*mix_effect_func_t_eiffel_feature) (void *a_class, int chan, void *stream, int len, void *udata);

void* get_mix_effect_func_t_stub ();

struct mix_effect_func_t_entry_struct
{
	void* a_class;
	mix_effect_func_t_eiffel_feature feature;
};

void set_mix_effect_func_t_entry (void* a_class, void* a_feature);

void call_mix_effect_func_t (void *a_function, int chan, void *stream, int len, void *udata);


#include <em.h>

typedef void (*mix_effect_done_t_eiffel_feature) (void *a_class, int chan, void *udata);

void* get_mix_effect_done_t_stub ();

struct mix_effect_done_t_entry_struct
{
	void* a_class;
	mix_effect_done_t_eiffel_feature feature;
};

void set_mix_effect_done_t_entry (void* a_class, void* a_feature);

void call_mix_effect_done_t (void *a_function, int chan, void *udata);


#include <em.h>

typedef void (*lptimecallback_eiffel_feature) (void *a_class, UINT uTimerID, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2);

void* get_lptimecallback_stub ();

struct lptimecallback_entry_struct
{
	void* a_class;
	lptimecallback_eiffel_feature feature;
};

void set_lptimecallback_entry (void* a_class, void* a_feature);

void call_lptimecallback (void *a_function, UINT uTimerID, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2);


#include <em.h>

typedef LRESULT (*lpmmioproc_eiffel_feature) (void *a_class, LPSTR lpmmioinfo, UINT uMsg, LPARAM lParam1, LPARAM lParam2);

void* get_lpmmioproc_stub ();

struct lpmmioproc_entry_struct
{
	void* a_class;
	lpmmioproc_eiffel_feature feature;
};

void set_lpmmioproc_entry (void* a_class, void* a_feature);

LRESULT call_lpmmioproc (void *a_function, LPSTR lpmmioinfo, UINT uMsg, LPARAM lParam1, LPARAM lParam2);


#include <em.h>

typedef UINT (*yieldproc_eiffel_feature) (void *a_class, MCIDEVICEID mciId, DWORD dwYieldData);

void* get_yieldproc_stub ();

struct yieldproc_entry_struct
{
	void* a_class;
	yieldproc_eiffel_feature feature;
};

void set_yieldproc_entry (void* a_class, void* a_feature);

UINT call_yieldproc (void *a_function, MCIDEVICEID mciId, DWORD dwYieldData);


#include <em.h>

typedef void (*void_void_anonymous_callback_eiffel_feature) (void *a_class);

void* get_void_void_anonymous_callback_stub ();

struct void_void_anonymous_callback_entry_struct
{
	void* a_class;
	void_void_anonymous_callback_eiffel_feature feature;
};

void set_void_void_anonymous_callback_entry (void* a_class, void* a_feature);

void call_void_void_anonymous_callback (void *a_function);


#include <em.h>

typedef int (*int_voidp_anonymous_callback_eiffel_feature) (void *a_class, void *anonymous_1);

void* get_int_voidp_anonymous_callback_stub ();

struct int_voidp_anonymous_callback_entry_struct
{
	void* a_class;
	int_voidp_anonymous_callback_eiffel_feature feature;
};

void set_int_voidp_anonymous_callback_entry (void* a_class, void* a_feature);

int call_int_voidp_anonymous_callback (void *a_function, void *anonymous_1);


#include <em.h>

typedef int (*int_structsdl_rwopsp_int_int_anonymous_callback_eiffel_feature) (void *a_class, struct SDL_RWops *context, int offset, int whence);

void* get_int_structsdl_rwopsp_int_int_anonymous_callback_stub ();

struct int_structsdl_rwopsp_int_int_anonymous_callback_entry_struct
{
	void* a_class;
	int_structsdl_rwopsp_int_int_anonymous_callback_eiffel_feature feature;
};

void set_int_structsdl_rwopsp_int_int_anonymous_callback_entry (void* a_class, void* a_feature);

int call_int_structsdl_rwopsp_int_int_anonymous_callback (void *a_function, struct SDL_RWops *context, int offset, int whence);


#include <em.h>

typedef int (*int_structsdl_rwopsp_voidp_int_int_anonymous_callback_eiffel_feature) (void *a_class, struct SDL_RWops *context, void *ptr, int size, int maxnum);

void* get_int_structsdl_rwopsp_voidp_int_int_anonymous_callback_stub ();

struct int_structsdl_rwopsp_voidp_int_int_anonymous_callback_entry_struct
{
	void* a_class;
	int_structsdl_rwopsp_voidp_int_int_anonymous_callback_eiffel_feature feature;
};

void set_int_structsdl_rwopsp_voidp_int_int_anonymous_callback_entry (void* a_class, void* a_feature);

int call_int_structsdl_rwopsp_voidp_int_int_anonymous_callback (void *a_function, struct SDL_RWops *context, void *ptr, int size, int maxnum);


#include <em.h>

typedef int (*int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_eiffel_feature) (void *a_class, struct SDL_RWops *context, void const *ptr, int size, int num);

void* get_int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_stub ();

struct int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_entry_struct
{
	void* a_class;
	int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_eiffel_feature feature;
};

void set_int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_entry (void* a_class, void* a_feature);

int call_int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback (void *a_function, struct SDL_RWops *context, void const *ptr, int size, int num);


#include <em.h>

typedef int (*int_structsdl_rwopsp_anonymous_callback_eiffel_feature) (void *a_class, struct SDL_RWops *context);

void* get_int_structsdl_rwopsp_anonymous_callback_stub ();

struct int_structsdl_rwopsp_anonymous_callback_entry_struct
{
	void* a_class;
	int_structsdl_rwopsp_anonymous_callback_eiffel_feature feature;
};

void set_int_structsdl_rwopsp_anonymous_callback_entry (void* a_class, void* a_feature);

int call_int_structsdl_rwopsp_anonymous_callback (void *a_function, struct SDL_RWops *context);


#include <em.h>

typedef void (*void_voidp_uint8p_int_anonymous_callback_eiffel_feature) (void *a_class, void *userdata, Uint8 *stream, int len);

void* get_void_voidp_uint8p_int_anonymous_callback_stub ();

struct void_voidp_uint8p_int_anonymous_callback_entry_struct
{
	void* a_class;
	void_voidp_uint8p_int_anonymous_callback_eiffel_feature feature;
};

void set_void_voidp_uint8p_int_anonymous_callback_entry (void* a_class, void* a_feature);

void call_void_voidp_uint8p_int_anonymous_callback (void *a_function, void *userdata, Uint8 *stream, int len);


#include <em.h>

typedef void (*void_structsdl_audiocvtp_uint16_anonymous_callback_eiffel_feature) (void *a_class, struct SDL_AudioCVT *cvt, Uint16 format);

void* get_void_structsdl_audiocvtp_uint16_anonymous_callback_stub ();

struct void_structsdl_audiocvtp_uint16_anonymous_callback_entry_struct
{
	void* a_class;
	void_structsdl_audiocvtp_uint16_anonymous_callback_eiffel_feature feature;
};

void set_void_structsdl_audiocvtp_uint16_anonymous_callback_entry (void* a_class, void* a_feature);

void call_void_structsdl_audiocvtp_uint16_anonymous_callback (void *a_function, struct SDL_AudioCVT *cvt, Uint16 format);


#include <em.h>

typedef int (*sdl_blit_eiffel_feature) (void *a_class, struct SDL_Surface *src, SDL_Rect *srcrect, struct SDL_Surface *dst, SDL_Rect *dstrect);

void* get_sdl_blit_stub ();

struct sdl_blit_entry_struct
{
	void* a_class;
	sdl_blit_eiffel_feature feature;
};

void set_sdl_blit_entry (void* a_class, void* a_feature);

int call_sdl_blit (void *a_function, struct SDL_Surface *src, SDL_Rect *srcrect, struct SDL_Surface *dst, SDL_Rect *dstrect);


#include <em.h>

typedef LRESULT (*driverproc_eiffel_feature) (void *a_class, DWORD_PTR anonymous_1, HDRVR anonymous_2, UINT anonymous_3, LPARAM anonymous_4, LPARAM anonymous_5);

void* get_driverproc_stub ();

struct driverproc_entry_struct
{
	void* a_class;
	driverproc_eiffel_feature feature;
};

void set_driverproc_entry (void* a_class, void* a_feature);

LRESULT call_driverproc (void *a_function, DWORD_PTR anonymous_1, HDRVR anonymous_2, UINT anonymous_3, LPARAM anonymous_4, LPARAM anonymous_5);


#include <em.h>

typedef void (*lpdrvcallback_eiffel_feature) (void *a_class, HDRVR hdrvr, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2);

void* get_lpdrvcallback_stub ();

struct lpdrvcallback_entry_struct
{
	void* a_class;
	lpdrvcallback_eiffel_feature feature;
};

void set_lpdrvcallback_entry (void* a_class, void* a_feature);

void call_lpdrvcallback (void *a_function, HDRVR hdrvr, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2);


#include <em.h>

typedef void (*lpwavecallback_eiffel_feature) (void *a_class, HDRVR hdrvr, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2);

void* get_lpwavecallback_stub ();

struct lpwavecallback_entry_struct
{
	void* a_class;
	lpwavecallback_eiffel_feature feature;
};

void set_lpwavecallback_entry (void* a_class, void* a_feature);

void call_lpwavecallback (void *a_function, HDRVR hdrvr, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2);


#include <em.h>

typedef void (*lpmidicallback_eiffel_feature) (void *a_class, HDRVR hdrvr, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2);

void* get_lpmidicallback_stub ();

struct lpmidicallback_entry_struct
{
	void* a_class;
	lpmidicallback_eiffel_feature feature;
};

void set_lpmidicallback_entry (void* a_class, void* a_feature);

void call_lpmidicallback (void *a_function, HDRVR hdrvr, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2);


#include <em.h>

typedef void (*pfnglarrayelementextproc_eiffel_feature) (void *a_class, GLint i);

void* get_pfnglarrayelementextproc_stub ();

struct pfnglarrayelementextproc_entry_struct
{
	void* a_class;
	pfnglarrayelementextproc_eiffel_feature feature;
};

void set_pfnglarrayelementextproc_entry (void* a_class, void* a_feature);

void call_pfnglarrayelementextproc (void *a_function, GLint i);


#include <em.h>

typedef void (*pfngldrawarraysextproc_eiffel_feature) (void *a_class, GLenum mode, GLint first, GLsizei count);

void* get_pfngldrawarraysextproc_stub ();

struct pfngldrawarraysextproc_entry_struct
{
	void* a_class;
	pfngldrawarraysextproc_eiffel_feature feature;
};

void set_pfngldrawarraysextproc_entry (void* a_class, void* a_feature);

void call_pfngldrawarraysextproc (void *a_function, GLenum mode, GLint first, GLsizei count);


#include <em.h>

typedef void (*pfnglvertexpointerextproc_eiffel_feature) (void *a_class, GLint size, GLenum type, GLsizei stride, GLsizei count, GLvoid const *pointer);

void* get_pfnglvertexpointerextproc_stub ();

struct pfnglvertexpointerextproc_entry_struct
{
	void* a_class;
	pfnglvertexpointerextproc_eiffel_feature feature;
};

void set_pfnglvertexpointerextproc_entry (void* a_class, void* a_feature);

void call_pfnglvertexpointerextproc (void *a_function, GLint size, GLenum type, GLsizei stride, GLsizei count, GLvoid const *pointer);


#include <em.h>

typedef void (*pfnglnormalpointerextproc_eiffel_feature) (void *a_class, GLenum type, GLsizei stride, GLsizei count, GLvoid const *pointer);

void* get_pfnglnormalpointerextproc_stub ();

struct pfnglnormalpointerextproc_entry_struct
{
	void* a_class;
	pfnglnormalpointerextproc_eiffel_feature feature;
};

void set_pfnglnormalpointerextproc_entry (void* a_class, void* a_feature);

void call_pfnglnormalpointerextproc (void *a_function, GLenum type, GLsizei stride, GLsizei count, GLvoid const *pointer);


#include <em.h>

typedef void (*pfngledgeflagpointerextproc_eiffel_feature) (void *a_class, GLsizei stride, GLsizei count, GLboolean const *pointer);

void* get_pfngledgeflagpointerextproc_stub ();

struct pfngledgeflagpointerextproc_entry_struct
{
	void* a_class;
	pfngledgeflagpointerextproc_eiffel_feature feature;
};

void set_pfngledgeflagpointerextproc_entry (void* a_class, void* a_feature);

void call_pfngledgeflagpointerextproc (void *a_function, GLsizei stride, GLsizei count, GLboolean const *pointer);


#include <em.h>

typedef void (*pfnglgetpointervextproc_eiffel_feature) (void *a_class, GLenum pname, GLvoid **params);

void* get_pfnglgetpointervextproc_stub ();

struct pfnglgetpointervextproc_entry_struct
{
	void* a_class;
	pfnglgetpointervextproc_eiffel_feature feature;
};

void set_pfnglgetpointervextproc_entry (void* a_class, void* a_feature);

void call_pfnglgetpointervextproc (void *a_function, GLenum pname, GLvoid **params);


#include <em.h>

typedef void (*pfnglarrayelementarrayextproc_eiffel_feature) (void *a_class, GLenum mode, GLsizei count, GLvoid const *pi);

void* get_pfnglarrayelementarrayextproc_stub ();

struct pfnglarrayelementarrayextproc_entry_struct
{
	void* a_class;
	pfnglarrayelementarrayextproc_eiffel_feature feature;
};

void set_pfnglarrayelementarrayextproc_entry (void* a_class, void* a_feature);

void call_pfnglarrayelementarrayextproc (void *a_function, GLenum mode, GLsizei count, GLvoid const *pi);


#include <em.h>

typedef void (*pfngldrawrangeelementswinproc_eiffel_feature) (void *a_class, GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, GLvoid const *indices);

void* get_pfngldrawrangeelementswinproc_stub ();

struct pfngldrawrangeelementswinproc_entry_struct
{
	void* a_class;
	pfngldrawrangeelementswinproc_eiffel_feature feature;
};

void set_pfngldrawrangeelementswinproc_entry (void* a_class, void* a_feature);

void call_pfngldrawrangeelementswinproc (void *a_function, GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, GLvoid const *indices);


#include <em.h>

typedef void (*pfngladdswaphintrectwinproc_eiffel_feature) (void *a_class, GLint x, GLint y, GLsizei width, GLsizei height);

void* get_pfngladdswaphintrectwinproc_stub ();

struct pfngladdswaphintrectwinproc_entry_struct
{
	void* a_class;
	pfngladdswaphintrectwinproc_eiffel_feature feature;
};

void set_pfngladdswaphintrectwinproc_entry (void* a_class, void* a_feature);

void call_pfngladdswaphintrectwinproc (void *a_function, GLint x, GLint y, GLsizei width, GLsizei height);


#include <em.h>

typedef void (*pfnglcolortableextproc_eiffel_feature) (void *a_class, GLenum target, GLenum internalFormat, GLsizei width, GLenum format, GLenum type, GLvoid const *data);

void* get_pfnglcolortableextproc_stub ();

struct pfnglcolortableextproc_entry_struct
{
	void* a_class;
	pfnglcolortableextproc_eiffel_feature feature;
};

void set_pfnglcolortableextproc_entry (void* a_class, void* a_feature);

void call_pfnglcolortableextproc (void *a_function, GLenum target, GLenum internalFormat, GLsizei width, GLenum format, GLenum type, GLvoid const *data);


#include <em.h>

typedef void (*pfnglcolorsubtableextproc_eiffel_feature) (void *a_class, GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, GLvoid const *data);

void* get_pfnglcolorsubtableextproc_stub ();

struct pfnglcolorsubtableextproc_entry_struct
{
	void* a_class;
	pfnglcolorsubtableextproc_eiffel_feature feature;
};

void set_pfnglcolorsubtableextproc_entry (void* a_class, void* a_feature);

void call_pfnglcolorsubtableextproc (void *a_function, GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, GLvoid const *data);


#include <em.h>

typedef void (*pfnglgetcolortableextproc_eiffel_feature) (void *a_class, GLenum target, GLenum format, GLenum type, GLvoid *data);

void* get_pfnglgetcolortableextproc_stub ();

struct pfnglgetcolortableextproc_entry_struct
{
	void* a_class;
	pfnglgetcolortableextproc_eiffel_feature feature;
};

void set_pfnglgetcolortableextproc_entry (void* a_class, void* a_feature);

void call_pfnglgetcolortableextproc (void *a_function, GLenum target, GLenum format, GLenum type, GLvoid *data);


#include <em.h>

typedef void (*pfnglgetcolortableparameterivextproc_eiffel_feature) (void *a_class, GLenum target, GLenum pname, GLint *params);

void* get_pfnglgetcolortableparameterivextproc_stub ();

struct pfnglgetcolortableparameterivextproc_entry_struct
{
	void* a_class;
	pfnglgetcolortableparameterivextproc_eiffel_feature feature;
};

void set_pfnglgetcolortableparameterivextproc_entry (void* a_class, void* a_feature);

void call_pfnglgetcolortableparameterivextproc (void *a_function, GLenum target, GLenum pname, GLint *params);


#include <em.h>

typedef void (*pfnglgetcolortableparameterfvextproc_eiffel_feature) (void *a_class, GLenum target, GLenum pname, GLfloat *params);

void* get_pfnglgetcolortableparameterfvextproc_stub ();

struct pfnglgetcolortableparameterfvextproc_entry_struct
{
	void* a_class;
	pfnglgetcolortableparameterfvextproc_eiffel_feature feature;
};

void set_pfnglgetcolortableparameterfvextproc_entry (void* a_class, void* a_feature);

void call_pfnglgetcolortableparameterfvextproc (void *a_function, GLenum target, GLenum pname, GLfloat *params);


#include <em.h>

typedef void (*gluquadric_error_proc_eiffel_feature) (void *a_class, GLenum anonymous_1);

void* get_gluquadric_error_proc_stub ();

struct gluquadric_error_proc_entry_struct
{
	void* a_class;
	gluquadric_error_proc_eiffel_feature feature;
};

void set_gluquadric_error_proc_entry (void* a_class, void* a_feature);

void call_gluquadric_error_proc (void *a_function, GLenum anonymous_1);


#include <em.h>

typedef void (*glutess_edge_flag_proc_eiffel_feature) (void *a_class, GLboolean anonymous_1);

void* get_glutess_edge_flag_proc_stub ();

struct glutess_edge_flag_proc_entry_struct
{
	void* a_class;
	glutess_edge_flag_proc_eiffel_feature feature;
};

void set_glutess_edge_flag_proc_entry (void* a_class, void* a_feature);

void call_glutess_edge_flag_proc (void *a_function, GLboolean anonymous_1);


#include <em.h>

typedef void (*glutess_vertex_proc_eiffel_feature) (void *a_class, void *anonymous_1);

void* get_glutess_vertex_proc_stub ();

struct glutess_vertex_proc_entry_struct
{
	void* a_class;
	glutess_vertex_proc_eiffel_feature feature;
};

void set_glutess_vertex_proc_entry (void* a_class, void* a_feature);

void call_glutess_vertex_proc (void *a_function, void *anonymous_1);


#include <em.h>

typedef void (*ndr_notify_routine_eiffel_feature) (void *a_class);

void* get_ndr_notify_routine_stub ();

struct ndr_notify_routine_entry_struct
{
	void* a_class;
	ndr_notify_routine_eiffel_feature feature;
};

void set_ndr_notify_routine_entry (void* a_class, void* a_feature);

void call_ndr_notify_routine (void *a_function);


#include <em.h>

typedef void (*glutess_combine_proc_eiffel_feature) (void *a_class, GLdouble anonymous_1[3], void *anonymous_2[4], GLfloat anonymous_3[4], void **anonymous_4);

void* get_glutess_combine_proc_stub ();

struct glutess_combine_proc_entry_struct
{
	void* a_class;
	glutess_combine_proc_eiffel_feature feature;
};

void set_glutess_combine_proc_entry (void* a_class, void* a_feature);

void call_glutess_combine_proc (void *a_function, GLdouble anonymous_1[3], void *anonymous_2[4], GLfloat anonymous_3[4], void **anonymous_4);


#include <em.h>

typedef void (*glutess_begin_data_proc_eiffel_feature) (void *a_class, GLenum anonymous_1, void *anonymous_2);

void* get_glutess_begin_data_proc_stub ();

struct glutess_begin_data_proc_entry_struct
{
	void* a_class;
	glutess_begin_data_proc_eiffel_feature feature;
};

void set_glutess_begin_data_proc_entry (void* a_class, void* a_feature);

void call_glutess_begin_data_proc (void *a_function, GLenum anonymous_1, void *anonymous_2);


#include <em.h>

typedef void (*glutess_edge_flag_data_proc_eiffel_feature) (void *a_class, GLboolean anonymous_1, void *anonymous_2);

void* get_glutess_edge_flag_data_proc_stub ();

struct glutess_edge_flag_data_proc_entry_struct
{
	void* a_class;
	glutess_edge_flag_data_proc_eiffel_feature feature;
};

void set_glutess_edge_flag_data_proc_entry (void* a_class, void* a_feature);

void call_glutess_edge_flag_data_proc (void *a_function, GLboolean anonymous_1, void *anonymous_2);


#include <em.h>

typedef void (*glutess_vertex_data_proc_eiffel_feature) (void *a_class, void *anonymous_1, void *anonymous_2);

void* get_glutess_vertex_data_proc_stub ();

struct glutess_vertex_data_proc_entry_struct
{
	void* a_class;
	glutess_vertex_data_proc_eiffel_feature feature;
};

void set_glutess_vertex_data_proc_entry (void* a_class, void* a_feature);

void call_glutess_vertex_data_proc (void *a_function, void *anonymous_1, void *anonymous_2);


#include <em.h>

typedef void (*glutess_combine_data_proc_eiffel_feature) (void *a_class, GLdouble anonymous_1[3], void *anonymous_2[4], GLfloat anonymous_3[4], void **anonymous_4, void *anonymous_5);

void* get_glutess_combine_data_proc_stub ();

struct glutess_combine_data_proc_entry_struct
{
	void* a_class;
	glutess_combine_data_proc_eiffel_feature feature;
};

void set_glutess_combine_data_proc_entry (void* a_class, void* a_feature);

void call_glutess_combine_data_proc (void *a_function, GLdouble anonymous_1[3], void *anonymous_2[4], GLfloat anonymous_3[4], void **anonymous_4, void *anonymous_5);


#endif
