#include <ewg_eiffel.h>
#include <ewg_em_callback_c_glue_code.h>

#ifdef _MSC_VER
#pragma warning (disable:4715) // Not all control paths return a value
#endif
struct sdl_timer_callback_entry_struct sdl_timer_callback_entry = {NULL, NULL};

Uint32 sdl_timer_callback_stub (Uint32 interval)
{
	if (sdl_timer_callback_entry.a_class != NULL && sdl_timer_callback_entry.feature != NULL)
	{
		return sdl_timer_callback_entry.feature (eif_access(sdl_timer_callback_entry.a_class), interval);
	}
}

void set_sdl_timer_callback_entry (void* a_class, void* a_feature)
{
	sdl_timer_callback_entry.a_class = eif_adopt(a_class);
	sdl_timer_callback_entry.feature = (sdl_timer_callback_eiffel_feature) a_feature;
}

void* get_sdl_timer_callback_stub ()
{
	return (void*) sdl_timer_callback_stub;
}

Uint32 call_sdl_timer_callback (void *a_function, Uint32 interval)
{
	return ((Uint32 (*) (Uint32 interval))a_function) (interval);
}

struct sdl_new_timer_callback_entry_struct sdl_new_timer_callback_entry = {NULL, NULL};

Uint32 sdl_new_timer_callback_stub (Uint32 interval, void *param)
{
	if (sdl_new_timer_callback_entry.a_class != NULL && sdl_new_timer_callback_entry.feature != NULL)
	{
		return sdl_new_timer_callback_entry.feature (eif_access(sdl_new_timer_callback_entry.a_class), interval, param);
	}
}

void set_sdl_new_timer_callback_entry (void* a_class, void* a_feature)
{
	sdl_new_timer_callback_entry.a_class = eif_adopt(a_class);
	sdl_new_timer_callback_entry.feature = (sdl_new_timer_callback_eiffel_feature) a_feature;
}

void* get_sdl_new_timer_callback_stub ()
{
	return (void*) sdl_new_timer_callback_stub;
}

Uint32 call_sdl_new_timer_callback (void *a_function, Uint32 interval, void *param)
{
	return ((Uint32 (*) (Uint32 interval, void *param))a_function) (interval, param);
}

struct sdl_event_filter_entry_struct sdl_event_filter_entry = {NULL, NULL};

int sdl_event_filter_stub (SDL_Event const *event)
{
	if (sdl_event_filter_entry.a_class != NULL && sdl_event_filter_entry.feature != NULL)
	{
		return sdl_event_filter_entry.feature (eif_access(sdl_event_filter_entry.a_class), event);
	}
}

void set_sdl_event_filter_entry (void* a_class, void* a_feature)
{
	sdl_event_filter_entry.a_class = eif_adopt(a_class);
	sdl_event_filter_entry.feature = (sdl_event_filter_eiffel_feature) a_feature;
}

void* get_sdl_event_filter_stub ()
{
	return (void*) sdl_event_filter_stub;
}

int call_sdl_event_filter (void *a_function, SDL_Event const *event)
{
	return ((int (*) (SDL_Event const *event))a_function) (event);
}

struct void_voidp_uint8p_int_anonymous_callback_1_entry_struct void_voidp_uint8p_int_anonymous_callback_1_entry = {NULL, NULL};

void void_voidp_uint8p_int_anonymous_callback_1_stub (void *udata, Uint8 *stream, int len)
{
	if (void_voidp_uint8p_int_anonymous_callback_1_entry.a_class != NULL && void_voidp_uint8p_int_anonymous_callback_1_entry.feature != NULL)
	{
		void_voidp_uint8p_int_anonymous_callback_1_entry.feature (eif_access(void_voidp_uint8p_int_anonymous_callback_1_entry.a_class), udata, stream, len);
	}
}

void set_void_voidp_uint8p_int_anonymous_callback_1_entry (void* a_class, void* a_feature)
{
	void_voidp_uint8p_int_anonymous_callback_1_entry.a_class = eif_adopt(a_class);
	void_voidp_uint8p_int_anonymous_callback_1_entry.feature = (void_voidp_uint8p_int_anonymous_callback_1_eiffel_feature) a_feature;
}

void* get_void_voidp_uint8p_int_anonymous_callback_1_stub ()
{
	return (void*) void_voidp_uint8p_int_anonymous_callback_1_stub;
}

void call_void_voidp_uint8p_int_anonymous_callback_1 (void *a_function, void *udata, Uint8 *stream, int len)
{
	((void (*) (void *udata, Uint8 *stream, int len))a_function) (udata, stream, len);
}

struct void_void_anonymous_callback_1_entry_struct void_void_anonymous_callback_1_entry = {NULL, NULL};

void void_void_anonymous_callback_1_stub (void)
{
	if (void_void_anonymous_callback_1_entry.a_class != NULL && void_void_anonymous_callback_1_entry.feature != NULL)
	{
		void_void_anonymous_callback_1_entry.feature (eif_access(void_void_anonymous_callback_1_entry.a_class));
	}
}

void set_void_void_anonymous_callback_1_entry (void* a_class, void* a_feature)
{
	void_void_anonymous_callback_1_entry.a_class = eif_adopt(a_class);
	void_void_anonymous_callback_1_entry.feature = (void_void_anonymous_callback_1_eiffel_feature) a_feature;
}

void* get_void_void_anonymous_callback_1_stub ()
{
	return (void*) void_void_anonymous_callback_1_stub;
}

void call_void_void_anonymous_callback_1 (void *a_function)
{
	((void (*) (void))a_function) ();
}

struct void_int_anonymous_callback_entry_struct void_int_anonymous_callback_entry = {NULL, NULL};

void void_int_anonymous_callback_stub (int channel)
{
	if (void_int_anonymous_callback_entry.a_class != NULL && void_int_anonymous_callback_entry.feature != NULL)
	{
		void_int_anonymous_callback_entry.feature (eif_access(void_int_anonymous_callback_entry.a_class), channel);
	}
}

void set_void_int_anonymous_callback_entry (void* a_class, void* a_feature)
{
	void_int_anonymous_callback_entry.a_class = eif_adopt(a_class);
	void_int_anonymous_callback_entry.feature = (void_int_anonymous_callback_eiffel_feature) a_feature;
}

void* get_void_int_anonymous_callback_stub ()
{
	return (void*) void_int_anonymous_callback_stub;
}

void call_void_int_anonymous_callback (void *a_function, int channel)
{
	((void (*) (int channel))a_function) (channel);
}

struct mix_effect_func_t_entry_struct mix_effect_func_t_entry = {NULL, NULL};

void mix_effect_func_t_stub (int chan, void *stream, int len, void *udata)
{
	if (mix_effect_func_t_entry.a_class != NULL && mix_effect_func_t_entry.feature != NULL)
	{
		mix_effect_func_t_entry.feature (eif_access(mix_effect_func_t_entry.a_class), chan, stream, len, udata);
	}
}

void set_mix_effect_func_t_entry (void* a_class, void* a_feature)
{
	mix_effect_func_t_entry.a_class = eif_adopt(a_class);
	mix_effect_func_t_entry.feature = (mix_effect_func_t_eiffel_feature) a_feature;
}

void* get_mix_effect_func_t_stub ()
{
	return (void*) mix_effect_func_t_stub;
}

void call_mix_effect_func_t (void *a_function, int chan, void *stream, int len, void *udata)
{
	((void (*) (int chan, void *stream, int len, void *udata))a_function) (chan, stream, len, udata);
}

struct mix_effect_done_t_entry_struct mix_effect_done_t_entry = {NULL, NULL};

void mix_effect_done_t_stub (int chan, void *udata)
{
	if (mix_effect_done_t_entry.a_class != NULL && mix_effect_done_t_entry.feature != NULL)
	{
		mix_effect_done_t_entry.feature (eif_access(mix_effect_done_t_entry.a_class), chan, udata);
	}
}

void set_mix_effect_done_t_entry (void* a_class, void* a_feature)
{
	mix_effect_done_t_entry.a_class = eif_adopt(a_class);
	mix_effect_done_t_entry.feature = (mix_effect_done_t_eiffel_feature) a_feature;
}

void* get_mix_effect_done_t_stub ()
{
	return (void*) mix_effect_done_t_stub;
}

void call_mix_effect_done_t (void *a_function, int chan, void *udata)
{
	((void (*) (int chan, void *udata))a_function) (chan, udata);
}

struct lptimecallback_entry_struct lptimecallback_entry = {NULL, NULL};

void __stdcall lptimecallback_stub (UINT uTimerID, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2)
{
	if (lptimecallback_entry.a_class != NULL && lptimecallback_entry.feature != NULL)
	{
		lptimecallback_entry.feature (eif_access(lptimecallback_entry.a_class), uTimerID, uMsg, dwUser, dw1, dw2);
	}
}

void set_lptimecallback_entry (void* a_class, void* a_feature)
{
	lptimecallback_entry.a_class = eif_adopt(a_class);
	lptimecallback_entry.feature = (lptimecallback_eiffel_feature) a_feature;
}

void* get_lptimecallback_stub ()
{
	return (void*) lptimecallback_stub;
}

void call_lptimecallback (void *a_function, UINT uTimerID, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2)
{
	((TIMECALLBACK*)a_function) (uTimerID, uMsg, dwUser, dw1, dw2);
}

struct lpmmioproc_entry_struct lpmmioproc_entry = {NULL, NULL};

LRESULT __stdcall lpmmioproc_stub (LPSTR lpmmioinfo, UINT uMsg, LPARAM lParam1, LPARAM lParam2)
{
	if (lpmmioproc_entry.a_class != NULL && lpmmioproc_entry.feature != NULL)
	{
		return lpmmioproc_entry.feature (eif_access(lpmmioproc_entry.a_class), lpmmioinfo, uMsg, lParam1, lParam2);
	}
}

void set_lpmmioproc_entry (void* a_class, void* a_feature)
{
	lpmmioproc_entry.a_class = eif_adopt(a_class);
	lpmmioproc_entry.feature = (lpmmioproc_eiffel_feature) a_feature;
}

void* get_lpmmioproc_stub ()
{
	return (void*) lpmmioproc_stub;
}

LRESULT call_lpmmioproc (void *a_function, LPSTR lpmmioinfo, UINT uMsg, LPARAM lParam1, LPARAM lParam2)
{
	return ((MMIOPROC*)a_function) (lpmmioinfo, uMsg, lParam1, lParam2);
}

struct yieldproc_entry_struct yieldproc_entry = {NULL, NULL};

UINT __stdcall yieldproc_stub (MCIDEVICEID mciId, DWORD dwYieldData)
{
	if (yieldproc_entry.a_class != NULL && yieldproc_entry.feature != NULL)
	{
		return yieldproc_entry.feature (eif_access(yieldproc_entry.a_class), mciId, dwYieldData);
	}
}

void set_yieldproc_entry (void* a_class, void* a_feature)
{
	yieldproc_entry.a_class = eif_adopt(a_class);
	yieldproc_entry.feature = (yieldproc_eiffel_feature) a_feature;
}

void* get_yieldproc_stub ()
{
	return (void*) yieldproc_stub;
}

UINT call_yieldproc (void *a_function, MCIDEVICEID mciId, DWORD dwYieldData)
{
	return ((UINT (__stdcall *) (MCIDEVICEID mciId, DWORD dwYieldData))a_function) (mciId, dwYieldData);
}

struct void_void_anonymous_callback_entry_struct void_void_anonymous_callback_entry = {NULL, NULL};

void __stdcall void_void_anonymous_callback_stub ()
{
	if (void_void_anonymous_callback_entry.a_class != NULL && void_void_anonymous_callback_entry.feature != NULL)
	{
		void_void_anonymous_callback_entry.feature (eif_access(void_void_anonymous_callback_entry.a_class));
	}
}

void set_void_void_anonymous_callback_entry (void* a_class, void* a_feature)
{
	void_void_anonymous_callback_entry.a_class = eif_adopt(a_class);
	void_void_anonymous_callback_entry.feature = (void_void_anonymous_callback_eiffel_feature) a_feature;
}

void* get_void_void_anonymous_callback_stub ()
{
	return (void*) void_void_anonymous_callback_stub;
}

void call_void_void_anonymous_callback (void *a_function)
{
	((void (__stdcall *) ())a_function) ();
}

struct int_voidp_anonymous_callback_entry_struct int_voidp_anonymous_callback_entry = {NULL, NULL};

int int_voidp_anonymous_callback_stub (void *anonymous_1)
{
	if (int_voidp_anonymous_callback_entry.a_class != NULL && int_voidp_anonymous_callback_entry.feature != NULL)
	{
		return int_voidp_anonymous_callback_entry.feature (eif_access(int_voidp_anonymous_callback_entry.a_class), anonymous_1);
	}
}

void set_int_voidp_anonymous_callback_entry (void* a_class, void* a_feature)
{
	int_voidp_anonymous_callback_entry.a_class = eif_adopt(a_class);
	int_voidp_anonymous_callback_entry.feature = (int_voidp_anonymous_callback_eiffel_feature) a_feature;
}

void* get_int_voidp_anonymous_callback_stub ()
{
	return (void*) int_voidp_anonymous_callback_stub;
}

int call_int_voidp_anonymous_callback (void *a_function, void *anonymous_1)
{
	return ((int (*) (void *anonymous_1))a_function) (anonymous_1);
}

struct int_structsdl_rwopsp_int_int_anonymous_callback_entry_struct int_structsdl_rwopsp_int_int_anonymous_callback_entry = {NULL, NULL};

int int_structsdl_rwopsp_int_int_anonymous_callback_stub (struct SDL_RWops *context, int offset, int whence)
{
	if (int_structsdl_rwopsp_int_int_anonymous_callback_entry.a_class != NULL && int_structsdl_rwopsp_int_int_anonymous_callback_entry.feature != NULL)
	{
		return int_structsdl_rwopsp_int_int_anonymous_callback_entry.feature (eif_access(int_structsdl_rwopsp_int_int_anonymous_callback_entry.a_class), context, offset, whence);
	}
}

void set_int_structsdl_rwopsp_int_int_anonymous_callback_entry (void* a_class, void* a_feature)
{
	int_structsdl_rwopsp_int_int_anonymous_callback_entry.a_class = eif_adopt(a_class);
	int_structsdl_rwopsp_int_int_anonymous_callback_entry.feature = (int_structsdl_rwopsp_int_int_anonymous_callback_eiffel_feature) a_feature;
}

void* get_int_structsdl_rwopsp_int_int_anonymous_callback_stub ()
{
	return (void*) int_structsdl_rwopsp_int_int_anonymous_callback_stub;
}

int call_int_structsdl_rwopsp_int_int_anonymous_callback (void *a_function, struct SDL_RWops *context, int offset, int whence)
{
	return ((int (*) (struct SDL_RWops *context, int offset, int whence))a_function) (context, offset, whence);
}

struct int_structsdl_rwopsp_voidp_int_int_anonymous_callback_entry_struct int_structsdl_rwopsp_voidp_int_int_anonymous_callback_entry = {NULL, NULL};

int int_structsdl_rwopsp_voidp_int_int_anonymous_callback_stub (struct SDL_RWops *context, void *ptr, int size, int maxnum)
{
	if (int_structsdl_rwopsp_voidp_int_int_anonymous_callback_entry.a_class != NULL && int_structsdl_rwopsp_voidp_int_int_anonymous_callback_entry.feature != NULL)
	{
		return int_structsdl_rwopsp_voidp_int_int_anonymous_callback_entry.feature (eif_access(int_structsdl_rwopsp_voidp_int_int_anonymous_callback_entry.a_class), context, ptr, size, maxnum);
	}
}

void set_int_structsdl_rwopsp_voidp_int_int_anonymous_callback_entry (void* a_class, void* a_feature)
{
	int_structsdl_rwopsp_voidp_int_int_anonymous_callback_entry.a_class = eif_adopt(a_class);
	int_structsdl_rwopsp_voidp_int_int_anonymous_callback_entry.feature = (int_structsdl_rwopsp_voidp_int_int_anonymous_callback_eiffel_feature) a_feature;
}

void* get_int_structsdl_rwopsp_voidp_int_int_anonymous_callback_stub ()
{
	return (void*) int_structsdl_rwopsp_voidp_int_int_anonymous_callback_stub;
}

int call_int_structsdl_rwopsp_voidp_int_int_anonymous_callback (void *a_function, struct SDL_RWops *context, void *ptr, int size, int maxnum)
{
	return ((int (*) (struct SDL_RWops *context, void *ptr, int size, int maxnum))a_function) (context, ptr, size, maxnum);
}

struct int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_entry_struct int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_entry = {NULL, NULL};

int int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_stub (struct SDL_RWops *context, void const *ptr, int size, int num)
{
	if (int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_entry.a_class != NULL && int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_entry.feature != NULL)
	{
		return int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_entry.feature (eif_access(int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_entry.a_class), context, ptr, size, num);
	}
}

void set_int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_entry (void* a_class, void* a_feature)
{
	int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_entry.a_class = eif_adopt(a_class);
	int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_entry.feature = (int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_eiffel_feature) a_feature;
}

void* get_int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_stub ()
{
	return (void*) int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback_stub;
}

int call_int_structsdl_rwopsp_voidconstp_int_int_anonymous_callback (void *a_function, struct SDL_RWops *context, void const *ptr, int size, int num)
{
	return ((int (*) (struct SDL_RWops *context, void const *ptr, int size, int num))a_function) (context, ptr, size, num);
}

struct int_structsdl_rwopsp_anonymous_callback_entry_struct int_structsdl_rwopsp_anonymous_callback_entry = {NULL, NULL};

int int_structsdl_rwopsp_anonymous_callback_stub (struct SDL_RWops *context)
{
	if (int_structsdl_rwopsp_anonymous_callback_entry.a_class != NULL && int_structsdl_rwopsp_anonymous_callback_entry.feature != NULL)
	{
		return int_structsdl_rwopsp_anonymous_callback_entry.feature (eif_access(int_structsdl_rwopsp_anonymous_callback_entry.a_class), context);
	}
}

void set_int_structsdl_rwopsp_anonymous_callback_entry (void* a_class, void* a_feature)
{
	int_structsdl_rwopsp_anonymous_callback_entry.a_class = eif_adopt(a_class);
	int_structsdl_rwopsp_anonymous_callback_entry.feature = (int_structsdl_rwopsp_anonymous_callback_eiffel_feature) a_feature;
}

void* get_int_structsdl_rwopsp_anonymous_callback_stub ()
{
	return (void*) int_structsdl_rwopsp_anonymous_callback_stub;
}

int call_int_structsdl_rwopsp_anonymous_callback (void *a_function, struct SDL_RWops *context)
{
	return ((int (*) (struct SDL_RWops *context))a_function) (context);
}

struct void_voidp_uint8p_int_anonymous_callback_entry_struct void_voidp_uint8p_int_anonymous_callback_entry = {NULL, NULL};

void void_voidp_uint8p_int_anonymous_callback_stub (void *userdata, Uint8 *stream, int len)
{
	if (void_voidp_uint8p_int_anonymous_callback_entry.a_class != NULL && void_voidp_uint8p_int_anonymous_callback_entry.feature != NULL)
	{
		void_voidp_uint8p_int_anonymous_callback_entry.feature (eif_access(void_voidp_uint8p_int_anonymous_callback_entry.a_class), userdata, stream, len);
	}
}

void set_void_voidp_uint8p_int_anonymous_callback_entry (void* a_class, void* a_feature)
{
	void_voidp_uint8p_int_anonymous_callback_entry.a_class = eif_adopt(a_class);
	void_voidp_uint8p_int_anonymous_callback_entry.feature = (void_voidp_uint8p_int_anonymous_callback_eiffel_feature) a_feature;
}

void* get_void_voidp_uint8p_int_anonymous_callback_stub ()
{
	return (void*) void_voidp_uint8p_int_anonymous_callback_stub;
}

void call_void_voidp_uint8p_int_anonymous_callback (void *a_function, void *userdata, Uint8 *stream, int len)
{
	((void (*) (void *userdata, Uint8 *stream, int len))a_function) (userdata, stream, len);
}

struct void_structsdl_audiocvtp_uint16_anonymous_callback_entry_struct void_structsdl_audiocvtp_uint16_anonymous_callback_entry = {NULL, NULL};

void void_structsdl_audiocvtp_uint16_anonymous_callback_stub (struct SDL_AudioCVT *cvt, Uint16 format)
{
	if (void_structsdl_audiocvtp_uint16_anonymous_callback_entry.a_class != NULL && void_structsdl_audiocvtp_uint16_anonymous_callback_entry.feature != NULL)
	{
		void_structsdl_audiocvtp_uint16_anonymous_callback_entry.feature (eif_access(void_structsdl_audiocvtp_uint16_anonymous_callback_entry.a_class), cvt, format);
	}
}

void set_void_structsdl_audiocvtp_uint16_anonymous_callback_entry (void* a_class, void* a_feature)
{
	void_structsdl_audiocvtp_uint16_anonymous_callback_entry.a_class = eif_adopt(a_class);
	void_structsdl_audiocvtp_uint16_anonymous_callback_entry.feature = (void_structsdl_audiocvtp_uint16_anonymous_callback_eiffel_feature) a_feature;
}

void* get_void_structsdl_audiocvtp_uint16_anonymous_callback_stub ()
{
	return (void*) void_structsdl_audiocvtp_uint16_anonymous_callback_stub;
}

void call_void_structsdl_audiocvtp_uint16_anonymous_callback (void *a_function, struct SDL_AudioCVT *cvt, Uint16 format)
{
	((void (*) (struct SDL_AudioCVT *cvt, Uint16 format))a_function) (cvt, format);
}

struct sdl_blit_entry_struct sdl_blit_entry = {NULL, NULL};

int sdl_blit_stub (struct SDL_Surface *src, SDL_Rect *srcrect, struct SDL_Surface *dst, SDL_Rect *dstrect)
{
	if (sdl_blit_entry.a_class != NULL && sdl_blit_entry.feature != NULL)
	{
		return sdl_blit_entry.feature (eif_access(sdl_blit_entry.a_class), src, srcrect, dst, dstrect);
	}
}

void set_sdl_blit_entry (void* a_class, void* a_feature)
{
	sdl_blit_entry.a_class = eif_adopt(a_class);
	sdl_blit_entry.feature = (sdl_blit_eiffel_feature) a_feature;
}

void* get_sdl_blit_stub ()
{
	return (void*) sdl_blit_stub;
}

int call_sdl_blit (void *a_function, struct SDL_Surface *src, SDL_Rect *srcrect, struct SDL_Surface *dst, SDL_Rect *dstrect)
{
	return ((int (*) (struct SDL_Surface *src, SDL_Rect *srcrect, struct SDL_Surface *dst, SDL_Rect *dstrect))a_function) (src, srcrect, dst, dstrect);
}

struct driverproc_entry_struct driverproc_entry = {NULL, NULL};

LRESULT __stdcall driverproc_stub (DWORD_PTR anonymous_1, HDRVR anonymous_2, UINT anonymous_3, LPARAM anonymous_4, LPARAM anonymous_5)
{
	if (driverproc_entry.a_class != NULL && driverproc_entry.feature != NULL)
	{
		return driverproc_entry.feature (eif_access(driverproc_entry.a_class), anonymous_1, anonymous_2, anonymous_3, anonymous_4, anonymous_5);
	}
}

void set_driverproc_entry (void* a_class, void* a_feature)
{
	driverproc_entry.a_class = eif_adopt(a_class);
	driverproc_entry.feature = (driverproc_eiffel_feature) a_feature;
}

void* get_driverproc_stub ()
{
	return (void*) driverproc_stub;
}

LRESULT call_driverproc (void *a_function, DWORD_PTR anonymous_1, HDRVR anonymous_2, UINT anonymous_3, LPARAM anonymous_4, LPARAM anonymous_5)
{
	return ((LRESULT (__stdcall *) (DWORD_PTR anonymous_1, HDRVR anonymous_2, UINT anonymous_3, LPARAM anonymous_4, LPARAM anonymous_5))a_function) (anonymous_1, anonymous_2, anonymous_3, anonymous_4, anonymous_5);
}

struct lpdrvcallback_entry_struct lpdrvcallback_entry = {NULL, NULL};

void __stdcall lpdrvcallback_stub (HDRVR hdrvr, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2)
{
	if (lpdrvcallback_entry.a_class != NULL && lpdrvcallback_entry.feature != NULL)
	{
		lpdrvcallback_entry.feature (eif_access(lpdrvcallback_entry.a_class), hdrvr, uMsg, dwUser, dw1, dw2);
	}
}

void set_lpdrvcallback_entry (void* a_class, void* a_feature)
{
	lpdrvcallback_entry.a_class = eif_adopt(a_class);
	lpdrvcallback_entry.feature = (lpdrvcallback_eiffel_feature) a_feature;
}

void* get_lpdrvcallback_stub ()
{
	return (void*) lpdrvcallback_stub;
}

void call_lpdrvcallback (void *a_function, HDRVR hdrvr, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2)
{
	((DRVCALLBACK*)a_function) (hdrvr, uMsg, dwUser, dw1, dw2);
}

struct lpwavecallback_entry_struct lpwavecallback_entry = {NULL, NULL};

void __stdcall lpwavecallback_stub (HDRVR hdrvr, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2)
{
	if (lpwavecallback_entry.a_class != NULL && lpwavecallback_entry.feature != NULL)
	{
		lpwavecallback_entry.feature (eif_access(lpwavecallback_entry.a_class), hdrvr, uMsg, dwUser, dw1, dw2);
	}
}

void set_lpwavecallback_entry (void* a_class, void* a_feature)
{
	lpwavecallback_entry.a_class = eif_adopt(a_class);
	lpwavecallback_entry.feature = (lpwavecallback_eiffel_feature) a_feature;
}

void* get_lpwavecallback_stub ()
{
	return (void*) lpwavecallback_stub;
}

void call_lpwavecallback (void *a_function, HDRVR hdrvr, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2)
{
	((WAVECALLBACK*)a_function) (hdrvr, uMsg, dwUser, dw1, dw2);
}

struct lpmidicallback_entry_struct lpmidicallback_entry = {NULL, NULL};

void __stdcall lpmidicallback_stub (HDRVR hdrvr, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2)
{
	if (lpmidicallback_entry.a_class != NULL && lpmidicallback_entry.feature != NULL)
	{
		lpmidicallback_entry.feature (eif_access(lpmidicallback_entry.a_class), hdrvr, uMsg, dwUser, dw1, dw2);
	}
}

void set_lpmidicallback_entry (void* a_class, void* a_feature)
{
	lpmidicallback_entry.a_class = eif_adopt(a_class);
	lpmidicallback_entry.feature = (lpmidicallback_eiffel_feature) a_feature;
}

void* get_lpmidicallback_stub ()
{
	return (void*) lpmidicallback_stub;
}

void call_lpmidicallback (void *a_function, HDRVR hdrvr, UINT uMsg, DWORD_PTR dwUser, DWORD_PTR dw1, DWORD_PTR dw2)
{
	((MIDICALLBACK*)a_function) (hdrvr, uMsg, dwUser, dw1, dw2);
}

struct pfnglarrayelementextproc_entry_struct pfnglarrayelementextproc_entry = {NULL, NULL};

void __stdcall pfnglarrayelementextproc_stub (GLint i)
{
	if (pfnglarrayelementextproc_entry.a_class != NULL && pfnglarrayelementextproc_entry.feature != NULL)
	{
		pfnglarrayelementextproc_entry.feature (eif_access(pfnglarrayelementextproc_entry.a_class), i);
	}
}

void set_pfnglarrayelementextproc_entry (void* a_class, void* a_feature)
{
	pfnglarrayelementextproc_entry.a_class = eif_adopt(a_class);
	pfnglarrayelementextproc_entry.feature = (pfnglarrayelementextproc_eiffel_feature) a_feature;
}

void* get_pfnglarrayelementextproc_stub ()
{
	return (void*) pfnglarrayelementextproc_stub;
}

void call_pfnglarrayelementextproc (void *a_function, GLint i)
{
	((void (__stdcall *) (GLint i))a_function) (i);
}

struct pfngldrawarraysextproc_entry_struct pfngldrawarraysextproc_entry = {NULL, NULL};

void __stdcall pfngldrawarraysextproc_stub (GLenum mode, GLint first, GLsizei count)
{
	if (pfngldrawarraysextproc_entry.a_class != NULL && pfngldrawarraysextproc_entry.feature != NULL)
	{
		pfngldrawarraysextproc_entry.feature (eif_access(pfngldrawarraysextproc_entry.a_class), mode, first, count);
	}
}

void set_pfngldrawarraysextproc_entry (void* a_class, void* a_feature)
{
	pfngldrawarraysextproc_entry.a_class = eif_adopt(a_class);
	pfngldrawarraysextproc_entry.feature = (pfngldrawarraysextproc_eiffel_feature) a_feature;
}

void* get_pfngldrawarraysextproc_stub ()
{
	return (void*) pfngldrawarraysextproc_stub;
}

void call_pfngldrawarraysextproc (void *a_function, GLenum mode, GLint first, GLsizei count)
{
	((void (__stdcall *) (GLenum mode, GLint first, GLsizei count))a_function) (mode, first, count);
}

struct pfnglvertexpointerextproc_entry_struct pfnglvertexpointerextproc_entry = {NULL, NULL};

void __stdcall pfnglvertexpointerextproc_stub (GLint size, GLenum type, GLsizei stride, GLsizei count, GLvoid const *pointer)
{
	if (pfnglvertexpointerextproc_entry.a_class != NULL && pfnglvertexpointerextproc_entry.feature != NULL)
	{
		pfnglvertexpointerextproc_entry.feature (eif_access(pfnglvertexpointerextproc_entry.a_class), size, type, stride, count, pointer);
	}
}

void set_pfnglvertexpointerextproc_entry (void* a_class, void* a_feature)
{
	pfnglvertexpointerextproc_entry.a_class = eif_adopt(a_class);
	pfnglvertexpointerextproc_entry.feature = (pfnglvertexpointerextproc_eiffel_feature) a_feature;
}

void* get_pfnglvertexpointerextproc_stub ()
{
	return (void*) pfnglvertexpointerextproc_stub;
}

void call_pfnglvertexpointerextproc (void *a_function, GLint size, GLenum type, GLsizei stride, GLsizei count, GLvoid const *pointer)
{
	((void (__stdcall *) (GLint size, GLenum type, GLsizei stride, GLsizei count, GLvoid const *pointer))a_function) (size, type, stride, count, pointer);
}

struct pfnglnormalpointerextproc_entry_struct pfnglnormalpointerextproc_entry = {NULL, NULL};

void __stdcall pfnglnormalpointerextproc_stub (GLenum type, GLsizei stride, GLsizei count, GLvoid const *pointer)
{
	if (pfnglnormalpointerextproc_entry.a_class != NULL && pfnglnormalpointerextproc_entry.feature != NULL)
	{
		pfnglnormalpointerextproc_entry.feature (eif_access(pfnglnormalpointerextproc_entry.a_class), type, stride, count, pointer);
	}
}

void set_pfnglnormalpointerextproc_entry (void* a_class, void* a_feature)
{
	pfnglnormalpointerextproc_entry.a_class = eif_adopt(a_class);
	pfnglnormalpointerextproc_entry.feature = (pfnglnormalpointerextproc_eiffel_feature) a_feature;
}

void* get_pfnglnormalpointerextproc_stub ()
{
	return (void*) pfnglnormalpointerextproc_stub;
}

void call_pfnglnormalpointerextproc (void *a_function, GLenum type, GLsizei stride, GLsizei count, GLvoid const *pointer)
{
	((void (__stdcall *) (GLenum type, GLsizei stride, GLsizei count, GLvoid const *pointer))a_function) (type, stride, count, pointer);
}

struct pfngledgeflagpointerextproc_entry_struct pfngledgeflagpointerextproc_entry = {NULL, NULL};

void __stdcall pfngledgeflagpointerextproc_stub (GLsizei stride, GLsizei count, GLboolean const *pointer)
{
	if (pfngledgeflagpointerextproc_entry.a_class != NULL && pfngledgeflagpointerextproc_entry.feature != NULL)
	{
		pfngledgeflagpointerextproc_entry.feature (eif_access(pfngledgeflagpointerextproc_entry.a_class), stride, count, pointer);
	}
}

void set_pfngledgeflagpointerextproc_entry (void* a_class, void* a_feature)
{
	pfngledgeflagpointerextproc_entry.a_class = eif_adopt(a_class);
	pfngledgeflagpointerextproc_entry.feature = (pfngledgeflagpointerextproc_eiffel_feature) a_feature;
}

void* get_pfngledgeflagpointerextproc_stub ()
{
	return (void*) pfngledgeflagpointerextproc_stub;
}

void call_pfngledgeflagpointerextproc (void *a_function, GLsizei stride, GLsizei count, GLboolean const *pointer)
{
	((void (__stdcall *) (GLsizei stride, GLsizei count, GLboolean const *pointer))a_function) (stride, count, pointer);
}

struct pfnglgetpointervextproc_entry_struct pfnglgetpointervextproc_entry = {NULL, NULL};

void __stdcall pfnglgetpointervextproc_stub (GLenum pname, GLvoid **params)
{
	if (pfnglgetpointervextproc_entry.a_class != NULL && pfnglgetpointervextproc_entry.feature != NULL)
	{
		pfnglgetpointervextproc_entry.feature (eif_access(pfnglgetpointervextproc_entry.a_class), pname, params);
	}
}

void set_pfnglgetpointervextproc_entry (void* a_class, void* a_feature)
{
	pfnglgetpointervextproc_entry.a_class = eif_adopt(a_class);
	pfnglgetpointervextproc_entry.feature = (pfnglgetpointervextproc_eiffel_feature) a_feature;
}

void* get_pfnglgetpointervextproc_stub ()
{
	return (void*) pfnglgetpointervextproc_stub;
}

void call_pfnglgetpointervextproc (void *a_function, GLenum pname, GLvoid **params)
{
	((void (__stdcall *) (GLenum pname, GLvoid **params))a_function) (pname, params);
}

struct pfnglarrayelementarrayextproc_entry_struct pfnglarrayelementarrayextproc_entry = {NULL, NULL};

void __stdcall pfnglarrayelementarrayextproc_stub (GLenum mode, GLsizei count, GLvoid const *pi)
{
	if (pfnglarrayelementarrayextproc_entry.a_class != NULL && pfnglarrayelementarrayextproc_entry.feature != NULL)
	{
		pfnglarrayelementarrayextproc_entry.feature (eif_access(pfnglarrayelementarrayextproc_entry.a_class), mode, count, pi);
	}
}

void set_pfnglarrayelementarrayextproc_entry (void* a_class, void* a_feature)
{
	pfnglarrayelementarrayextproc_entry.a_class = eif_adopt(a_class);
	pfnglarrayelementarrayextproc_entry.feature = (pfnglarrayelementarrayextproc_eiffel_feature) a_feature;
}

void* get_pfnglarrayelementarrayextproc_stub ()
{
	return (void*) pfnglarrayelementarrayextproc_stub;
}

void call_pfnglarrayelementarrayextproc (void *a_function, GLenum mode, GLsizei count, GLvoid const *pi)
{
	((void (__stdcall *) (GLenum mode, GLsizei count, GLvoid const *pi))a_function) (mode, count, pi);
}

struct pfngldrawrangeelementswinproc_entry_struct pfngldrawrangeelementswinproc_entry = {NULL, NULL};

void __stdcall pfngldrawrangeelementswinproc_stub (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, GLvoid const *indices)
{
	if (pfngldrawrangeelementswinproc_entry.a_class != NULL && pfngldrawrangeelementswinproc_entry.feature != NULL)
	{
		pfngldrawrangeelementswinproc_entry.feature (eif_access(pfngldrawrangeelementswinproc_entry.a_class), mode, start, end, count, type, indices);
	}
}

void set_pfngldrawrangeelementswinproc_entry (void* a_class, void* a_feature)
{
	pfngldrawrangeelementswinproc_entry.a_class = eif_adopt(a_class);
	pfngldrawrangeelementswinproc_entry.feature = (pfngldrawrangeelementswinproc_eiffel_feature) a_feature;
}

void* get_pfngldrawrangeelementswinproc_stub ()
{
	return (void*) pfngldrawrangeelementswinproc_stub;
}

void call_pfngldrawrangeelementswinproc (void *a_function, GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, GLvoid const *indices)
{
	((void (__stdcall *) (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, GLvoid const *indices))a_function) (mode, start, end, count, type, indices);
}

struct pfngladdswaphintrectwinproc_entry_struct pfngladdswaphintrectwinproc_entry = {NULL, NULL};

void __stdcall pfngladdswaphintrectwinproc_stub (GLint x, GLint y, GLsizei width, GLsizei height)
{
	if (pfngladdswaphintrectwinproc_entry.a_class != NULL && pfngladdswaphintrectwinproc_entry.feature != NULL)
	{
		pfngladdswaphintrectwinproc_entry.feature (eif_access(pfngladdswaphintrectwinproc_entry.a_class), x, y, width, height);
	}
}

void set_pfngladdswaphintrectwinproc_entry (void* a_class, void* a_feature)
{
	pfngladdswaphintrectwinproc_entry.a_class = eif_adopt(a_class);
	pfngladdswaphintrectwinproc_entry.feature = (pfngladdswaphintrectwinproc_eiffel_feature) a_feature;
}

void* get_pfngladdswaphintrectwinproc_stub ()
{
	return (void*) pfngladdswaphintrectwinproc_stub;
}

void call_pfngladdswaphintrectwinproc (void *a_function, GLint x, GLint y, GLsizei width, GLsizei height)
{
	((void (__stdcall *) (GLint x, GLint y, GLsizei width, GLsizei height))a_function) (x, y, width, height);
}

struct pfnglcolortableextproc_entry_struct pfnglcolortableextproc_entry = {NULL, NULL};

void __stdcall pfnglcolortableextproc_stub (GLenum target, GLenum internalFormat, GLsizei width, GLenum format, GLenum type, GLvoid const *data)
{
	if (pfnglcolortableextproc_entry.a_class != NULL && pfnglcolortableextproc_entry.feature != NULL)
	{
		pfnglcolortableextproc_entry.feature (eif_access(pfnglcolortableextproc_entry.a_class), target, internalFormat, width, format, type, data);
	}
}

void set_pfnglcolortableextproc_entry (void* a_class, void* a_feature)
{
	pfnglcolortableextproc_entry.a_class = eif_adopt(a_class);
	pfnglcolortableextproc_entry.feature = (pfnglcolortableextproc_eiffel_feature) a_feature;
}

void* get_pfnglcolortableextproc_stub ()
{
	return (void*) pfnglcolortableextproc_stub;
}

void call_pfnglcolortableextproc (void *a_function, GLenum target, GLenum internalFormat, GLsizei width, GLenum format, GLenum type, GLvoid const *data)
{
	((void (__stdcall *) (GLenum target, GLenum internalFormat, GLsizei width, GLenum format, GLenum type, GLvoid const *data))a_function) (target, internalFormat, width, format, type, data);
}

struct pfnglcolorsubtableextproc_entry_struct pfnglcolorsubtableextproc_entry = {NULL, NULL};

void __stdcall pfnglcolorsubtableextproc_stub (GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, GLvoid const *data)
{
	if (pfnglcolorsubtableextproc_entry.a_class != NULL && pfnglcolorsubtableextproc_entry.feature != NULL)
	{
		pfnglcolorsubtableextproc_entry.feature (eif_access(pfnglcolorsubtableextproc_entry.a_class), target, start, count, format, type, data);
	}
}

void set_pfnglcolorsubtableextproc_entry (void* a_class, void* a_feature)
{
	pfnglcolorsubtableextproc_entry.a_class = eif_adopt(a_class);
	pfnglcolorsubtableextproc_entry.feature = (pfnglcolorsubtableextproc_eiffel_feature) a_feature;
}

void* get_pfnglcolorsubtableextproc_stub ()
{
	return (void*) pfnglcolorsubtableextproc_stub;
}

void call_pfnglcolorsubtableextproc (void *a_function, GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, GLvoid const *data)
{
	((void (__stdcall *) (GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, GLvoid const *data))a_function) (target, start, count, format, type, data);
}

struct pfnglgetcolortableextproc_entry_struct pfnglgetcolortableextproc_entry = {NULL, NULL};

void __stdcall pfnglgetcolortableextproc_stub (GLenum target, GLenum format, GLenum type, GLvoid *data)
{
	if (pfnglgetcolortableextproc_entry.a_class != NULL && pfnglgetcolortableextproc_entry.feature != NULL)
	{
		pfnglgetcolortableextproc_entry.feature (eif_access(pfnglgetcolortableextproc_entry.a_class), target, format, type, data);
	}
}

void set_pfnglgetcolortableextproc_entry (void* a_class, void* a_feature)
{
	pfnglgetcolortableextproc_entry.a_class = eif_adopt(a_class);
	pfnglgetcolortableextproc_entry.feature = (pfnglgetcolortableextproc_eiffel_feature) a_feature;
}

void* get_pfnglgetcolortableextproc_stub ()
{
	return (void*) pfnglgetcolortableextproc_stub;
}

void call_pfnglgetcolortableextproc (void *a_function, GLenum target, GLenum format, GLenum type, GLvoid *data)
{
	((void (__stdcall *) (GLenum target, GLenum format, GLenum type, GLvoid *data))a_function) (target, format, type, data);
}

struct pfnglgetcolortableparameterivextproc_entry_struct pfnglgetcolortableparameterivextproc_entry = {NULL, NULL};

void __stdcall pfnglgetcolortableparameterivextproc_stub (GLenum target, GLenum pname, GLint *params)
{
	if (pfnglgetcolortableparameterivextproc_entry.a_class != NULL && pfnglgetcolortableparameterivextproc_entry.feature != NULL)
	{
		pfnglgetcolortableparameterivextproc_entry.feature (eif_access(pfnglgetcolortableparameterivextproc_entry.a_class), target, pname, params);
	}
}

void set_pfnglgetcolortableparameterivextproc_entry (void* a_class, void* a_feature)
{
	pfnglgetcolortableparameterivextproc_entry.a_class = eif_adopt(a_class);
	pfnglgetcolortableparameterivextproc_entry.feature = (pfnglgetcolortableparameterivextproc_eiffel_feature) a_feature;
}

void* get_pfnglgetcolortableparameterivextproc_stub ()
{
	return (void*) pfnglgetcolortableparameterivextproc_stub;
}

void call_pfnglgetcolortableparameterivextproc (void *a_function, GLenum target, GLenum pname, GLint *params)
{
	((void (__stdcall *) (GLenum target, GLenum pname, GLint *params))a_function) (target, pname, params);
}

struct pfnglgetcolortableparameterfvextproc_entry_struct pfnglgetcolortableparameterfvextproc_entry = {NULL, NULL};

void __stdcall pfnglgetcolortableparameterfvextproc_stub (GLenum target, GLenum pname, GLfloat *params)
{
	if (pfnglgetcolortableparameterfvextproc_entry.a_class != NULL && pfnglgetcolortableparameterfvextproc_entry.feature != NULL)
	{
		pfnglgetcolortableparameterfvextproc_entry.feature (eif_access(pfnglgetcolortableparameterfvextproc_entry.a_class), target, pname, params);
	}
}

void set_pfnglgetcolortableparameterfvextproc_entry (void* a_class, void* a_feature)
{
	pfnglgetcolortableparameterfvextproc_entry.a_class = eif_adopt(a_class);
	pfnglgetcolortableparameterfvextproc_entry.feature = (pfnglgetcolortableparameterfvextproc_eiffel_feature) a_feature;
}

void* get_pfnglgetcolortableparameterfvextproc_stub ()
{
	return (void*) pfnglgetcolortableparameterfvextproc_stub;
}

void call_pfnglgetcolortableparameterfvextproc (void *a_function, GLenum target, GLenum pname, GLfloat *params)
{
	((void (__stdcall *) (GLenum target, GLenum pname, GLfloat *params))a_function) (target, pname, params);
}

struct gluquadric_error_proc_entry_struct gluquadric_error_proc_entry = {NULL, NULL};

void __stdcall gluquadric_error_proc_stub (GLenum anonymous_1)
{
	if (gluquadric_error_proc_entry.a_class != NULL && gluquadric_error_proc_entry.feature != NULL)
	{
		gluquadric_error_proc_entry.feature (eif_access(gluquadric_error_proc_entry.a_class), anonymous_1);
	}
}

void set_gluquadric_error_proc_entry (void* a_class, void* a_feature)
{
	gluquadric_error_proc_entry.a_class = eif_adopt(a_class);
	gluquadric_error_proc_entry.feature = (gluquadric_error_proc_eiffel_feature) a_feature;
}

void* get_gluquadric_error_proc_stub ()
{
	return (void*) gluquadric_error_proc_stub;
}

void call_gluquadric_error_proc (void *a_function, GLenum anonymous_1)
{
	((void (__stdcall *) (GLenum anonymous_1))a_function) (anonymous_1);
}

struct glutess_edge_flag_proc_entry_struct glutess_edge_flag_proc_entry = {NULL, NULL};

void __stdcall glutess_edge_flag_proc_stub (GLboolean anonymous_1)
{
	if (glutess_edge_flag_proc_entry.a_class != NULL && glutess_edge_flag_proc_entry.feature != NULL)
	{
		glutess_edge_flag_proc_entry.feature (eif_access(glutess_edge_flag_proc_entry.a_class), anonymous_1);
	}
}

void set_glutess_edge_flag_proc_entry (void* a_class, void* a_feature)
{
	glutess_edge_flag_proc_entry.a_class = eif_adopt(a_class);
	glutess_edge_flag_proc_entry.feature = (glutess_edge_flag_proc_eiffel_feature) a_feature;
}

void* get_glutess_edge_flag_proc_stub ()
{
	return (void*) glutess_edge_flag_proc_stub;
}

void call_glutess_edge_flag_proc (void *a_function, GLboolean anonymous_1)
{
	((void (__stdcall *) (GLboolean anonymous_1))a_function) (anonymous_1);
}

struct glutess_vertex_proc_entry_struct glutess_vertex_proc_entry = {NULL, NULL};

void __stdcall glutess_vertex_proc_stub (void *anonymous_1)
{
	if (glutess_vertex_proc_entry.a_class != NULL && glutess_vertex_proc_entry.feature != NULL)
	{
		glutess_vertex_proc_entry.feature (eif_access(glutess_vertex_proc_entry.a_class), anonymous_1);
	}
}

void set_glutess_vertex_proc_entry (void* a_class, void* a_feature)
{
	glutess_vertex_proc_entry.a_class = eif_adopt(a_class);
	glutess_vertex_proc_entry.feature = (glutess_vertex_proc_eiffel_feature) a_feature;
}

void* get_glutess_vertex_proc_stub ()
{
	return (void*) glutess_vertex_proc_stub;
}

void call_glutess_vertex_proc (void *a_function, void *anonymous_1)
{
	((void (__stdcall *) (void *anonymous_1))a_function) (anonymous_1);
}

struct ndr_notify_routine_entry_struct ndr_notify_routine_entry = {NULL, NULL};

void __stdcall ndr_notify_routine_stub (void)
{
	if (ndr_notify_routine_entry.a_class != NULL && ndr_notify_routine_entry.feature != NULL)
	{
		ndr_notify_routine_entry.feature (eif_access(ndr_notify_routine_entry.a_class));
	}
}

void set_ndr_notify_routine_entry (void* a_class, void* a_feature)
{
	ndr_notify_routine_entry.a_class = eif_adopt(a_class);
	ndr_notify_routine_entry.feature = (ndr_notify_routine_eiffel_feature) a_feature;
}

void* get_ndr_notify_routine_stub ()
{
	return (void*) ndr_notify_routine_stub;
}

void call_ndr_notify_routine (void *a_function)
{
	((void (__stdcall *) (void))a_function) ();
}

struct glutess_combine_proc_entry_struct glutess_combine_proc_entry = {NULL, NULL};

void __stdcall glutess_combine_proc_stub (GLdouble anonymous_1[3], void *anonymous_2[4], GLfloat anonymous_3[4], void **anonymous_4)
{
	if (glutess_combine_proc_entry.a_class != NULL && glutess_combine_proc_entry.feature != NULL)
	{
		glutess_combine_proc_entry.feature (eif_access(glutess_combine_proc_entry.a_class), anonymous_1, anonymous_2, anonymous_3, anonymous_4);
	}
}

void set_glutess_combine_proc_entry (void* a_class, void* a_feature)
{
	glutess_combine_proc_entry.a_class = eif_adopt(a_class);
	glutess_combine_proc_entry.feature = (glutess_combine_proc_eiffel_feature) a_feature;
}

void* get_glutess_combine_proc_stub ()
{
	return (void*) glutess_combine_proc_stub;
}

void call_glutess_combine_proc (void *a_function, GLdouble anonymous_1[3], void *anonymous_2[4], GLfloat anonymous_3[4], void **anonymous_4)
{
	((void (__stdcall *) (GLdouble anonymous_1[3], void *anonymous_2[4], GLfloat anonymous_3[4], void **anonymous_4))a_function) (anonymous_1, anonymous_2, anonymous_3, anonymous_4);
}

struct glutess_begin_data_proc_entry_struct glutess_begin_data_proc_entry = {NULL, NULL};

void __stdcall glutess_begin_data_proc_stub (GLenum anonymous_1, void *anonymous_2)
{
	if (glutess_begin_data_proc_entry.a_class != NULL && glutess_begin_data_proc_entry.feature != NULL)
	{
		glutess_begin_data_proc_entry.feature (eif_access(glutess_begin_data_proc_entry.a_class), anonymous_1, anonymous_2);
	}
}

void set_glutess_begin_data_proc_entry (void* a_class, void* a_feature)
{
	glutess_begin_data_proc_entry.a_class = eif_adopt(a_class);
	glutess_begin_data_proc_entry.feature = (glutess_begin_data_proc_eiffel_feature) a_feature;
}

void* get_glutess_begin_data_proc_stub ()
{
	return (void*) glutess_begin_data_proc_stub;
}

void call_glutess_begin_data_proc (void *a_function, GLenum anonymous_1, void *anonymous_2)
{
	((void (__stdcall *) (GLenum anonymous_1, void *anonymous_2))a_function) (anonymous_1, anonymous_2);
}

struct glutess_edge_flag_data_proc_entry_struct glutess_edge_flag_data_proc_entry = {NULL, NULL};

void __stdcall glutess_edge_flag_data_proc_stub (GLboolean anonymous_1, void *anonymous_2)
{
	if (glutess_edge_flag_data_proc_entry.a_class != NULL && glutess_edge_flag_data_proc_entry.feature != NULL)
	{
		glutess_edge_flag_data_proc_entry.feature (eif_access(glutess_edge_flag_data_proc_entry.a_class), anonymous_1, anonymous_2);
	}
}

void set_glutess_edge_flag_data_proc_entry (void* a_class, void* a_feature)
{
	glutess_edge_flag_data_proc_entry.a_class = eif_adopt(a_class);
	glutess_edge_flag_data_proc_entry.feature = (glutess_edge_flag_data_proc_eiffel_feature) a_feature;
}

void* get_glutess_edge_flag_data_proc_stub ()
{
	return (void*) glutess_edge_flag_data_proc_stub;
}

void call_glutess_edge_flag_data_proc (void *a_function, GLboolean anonymous_1, void *anonymous_2)
{
	((void (__stdcall *) (GLboolean anonymous_1, void *anonymous_2))a_function) (anonymous_1, anonymous_2);
}

struct glutess_vertex_data_proc_entry_struct glutess_vertex_data_proc_entry = {NULL, NULL};

void __stdcall glutess_vertex_data_proc_stub (void *anonymous_1, void *anonymous_2)
{
	if (glutess_vertex_data_proc_entry.a_class != NULL && glutess_vertex_data_proc_entry.feature != NULL)
	{
		glutess_vertex_data_proc_entry.feature (eif_access(glutess_vertex_data_proc_entry.a_class), anonymous_1, anonymous_2);
	}
}

void set_glutess_vertex_data_proc_entry (void* a_class, void* a_feature)
{
	glutess_vertex_data_proc_entry.a_class = eif_adopt(a_class);
	glutess_vertex_data_proc_entry.feature = (glutess_vertex_data_proc_eiffel_feature) a_feature;
}

void* get_glutess_vertex_data_proc_stub ()
{
	return (void*) glutess_vertex_data_proc_stub;
}

void call_glutess_vertex_data_proc (void *a_function, void *anonymous_1, void *anonymous_2)
{
	((void (__stdcall *) (void *anonymous_1, void *anonymous_2))a_function) (anonymous_1, anonymous_2);
}

struct glutess_combine_data_proc_entry_struct glutess_combine_data_proc_entry = {NULL, NULL};

void __stdcall glutess_combine_data_proc_stub (GLdouble anonymous_1[3], void *anonymous_2[4], GLfloat anonymous_3[4], void **anonymous_4, void *anonymous_5)
{
	if (glutess_combine_data_proc_entry.a_class != NULL && glutess_combine_data_proc_entry.feature != NULL)
	{
		glutess_combine_data_proc_entry.feature (eif_access(glutess_combine_data_proc_entry.a_class), anonymous_1, anonymous_2, anonymous_3, anonymous_4, anonymous_5);
	}
}

void set_glutess_combine_data_proc_entry (void* a_class, void* a_feature)
{
	glutess_combine_data_proc_entry.a_class = eif_adopt(a_class);
	glutess_combine_data_proc_entry.feature = (glutess_combine_data_proc_eiffel_feature) a_feature;
}

void* get_glutess_combine_data_proc_stub ()
{
	return (void*) glutess_combine_data_proc_stub;
}

void call_glutess_combine_data_proc (void *a_function, GLdouble anonymous_1[3], void *anonymous_2[4], GLfloat anonymous_3[4], void **anonymous_4, void *anonymous_5)
{
	((void (__stdcall *) (GLdouble anonymous_1[3], void *anonymous_2[4], GLfloat anonymous_3[4], void **anonymous_4, void *anonymous_5))a_function) (anonymous_1, anonymous_2, anonymous_3, anonymous_4, anonymous_5);
}

