indexing

	description: "[
		
		*** Since Eiffel doesn't correctly support threats, this doesn't work yet ***

		A EM_MUTEX is used to synchronize differend Thread.
		
		See EM_TIME.

	]"
	date: "$Date: 2005/10/26 12:19:15 $"
	revision: "$Revision: 1.8 $"

class EM_MUTEX

inherit

	SDL_MUTEX_FUNCTIONS_EXTERNAL
		export {NONE} all end

	DISPOSABLE
		export {NONE} all end

create

	make

feature {NONE} -- Creation

	make is
			-- Creates a mutex.
		do
			p := sdl_create_mutex_external
		end

feature -- Commands

	lock is
			-- Waits until you get a lock on current
		local
			error_code: INTEGER
		do
			error_code := sdl_mutex_p_external (p)

			if error_code /= 0 then
				print ("Error locking the mutex") --TODO: error handling?
			end
		end

	unlock is
			-- Realeses the lock on current
		local
			error_code: INTEGER
		do
			error_code := sdl_mutex_v_external (p)

			if error_code /= 0 then
				print ("Error unlocking the mutex")
			end
		end

feature {EM_CONDITION_VAR} -- implementation

		p: POINTER
			-- POINTER to the external mutex

feature {NONE} -- Implementation

	dispose is
			-- Free external resources.
		do
			sdl_destroy_mutex_external (p)
		end

end