#!/bin/sh

### Example script for setting the EiffelMedia environment variabes ###
# Most variables 

# --- Eiffel Settings ---

# Please change the following env-var to point to where you installed
# eiffel on your box

# Path to EiffelStudio
export ISE_EIFFEL=


# --- Environmnet ---

# Following variables don't need to be changed if you installed the
# gobo, ewg and em packages in its predetermined directories

# Path to EiffelMedia
export EM=/usr/share/em

# Path to gobo libraries
export GOBO=/usr/lib/gobo

# Path to ewg libraries
export EWG=/usr/lib/ewg

# Path to SDL header files
export SDL_HEADER=/usr/include/SDL



# --- Eiffel Tool Settings ---

# Following path variables shouldn't change either and should be fine
# Anyhow you should take a quick look at them ...

export PATH=$PATH:/usr/share/em/tools/polygon_editor
export PATH=$PATH:/usr/share/em/tools/resource_generator
export PATH=$PATH:/usr/share/em/tools/settings_generator

# --- Compiler Settings ---

# Following variables shouldn't change either and should be fine
# Anyhow you should take a quick look at them ...

# The c-compiler in use
export GOBO_CC=gcc

# The eiffel-compiler in use
export GOBO_EIFFEL=ise

# The platform in use
export ISE_PLATFORM=linux-x86
export PATH=$ISE_EIFFEL/studio/spec/$ISE_PLATFORM/bin:$PATH
