#
# sed Script that converts C constants into Eiffel constants
# used to generate the constants from GL.h and GLU.h
# @author Patrick Ruckstuhl, rupatric@student.ethz.ch
# @date $Date: 2005/07/19 13:14:47 $
# @revision $Revision: 1.1 $
#
# call with something like
#
# sed -r -f consts.sed gl.h > em_gl_constants.e
#
# convert c-defines into eiffel constants
s/(^#define )([A-Za-z0-9_]*)([ \t]*)((0x[0-f0-F]*)|([0-9]*))[ \t]*$/\tEm_\L\2\E: INTEGER is \4/
