indexing

	description: "[

		An HTML file to generate the overview page.

	]"
	date: "$Date$"
	revision: "$Revision$"

class EDOC_OVERVIEW_HTML_FILE

inherit

	EDOC_HTML_OUTPUT_FILE
		export {NONE} all end

create

	make_overview_file

feature {NONE} -- Initialisation

	make_overview_file is
			-- Initalise default values
		do
			make ("index.html")
		end

feature -- File creation

	generate is
			-- will be replaced by edoc
		local
			cursor: DS_LIST_CURSOR [ET_CLUSTER]
		do
			open_write

			put_string ("<?xml version=%"1.0%" encoding=%"ISO-8859-1%"?>%N")
			put_string ("<!DOCTYPE html PUBLIC %"-//W3C//DTD XHTML 1.1//EN%" %"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd%">%N")
			start_tag_attributes ("html", << ["xmlns", "http://www.w3.org/1999/xhtml"] >>)

			print_html_head ("Overview")
			start_tag ("body")

				print_header_start
				print_overview_buttons
				print_header_end

				tag_content ("h1", context.documentation_title)

				tag ("hr")

				tag_content ("h2", "Clusters")
				start_tag_css ("ul", css_cluster_tree)
				cursor := context.universe.clusters.clusters.new_cursor
				from
					cursor.start
				until
					cursor.after
				loop
					if context.is_including_cluster (cursor.item) then
						start_tag ("li")
							tag_content ("h3", print_cluster_name_to_string (cursor.item))
						end_tag
						print_subclusters_tree (cursor.item)
					end
					cursor.forth
				end
				end_tag

				print_footer_start
				print_overview_buttons
				print_footer_end

			end_tag
			end_tag

			close
		end

end