indexing

	description: "[

		Compare tuples according to their first entry as a string.

	]"
	date: "$Date$"
	revision: "$Revision$"

class TUPLE_STRING_COMPARATOR

inherit

	KL_PART_COMPARATOR [TUPLE [STRING, ANY]]

feature -- Status report

	less_than (u, v: TUPLE [STRING, ANY]): BOOLEAN is
			-- Is `u' considered less than `v'?
		local
			u_s, v_s: STRING
		do
			u_s ?= u.item (1)
			v_s ?= v.item (1)
			Result := u_s < v_s
		end

end