indexing

	description: "[

		Shell.

	]"
	date: "$Date: 2005/10/23 15:36:50 $"
	revision: "$Revision: 1.4 $"

class SHELL

inherit

	EM_GOOF_PHYSICABLE
	redefine
		collide,
		make,
		process
	end
	EM_GOOF_DESTRUCTABLE
	undefine
		make,
		process
	end

create

	make

feature -- Initialization

	make(img: EM_DRAWABLE x: DOUBLE y: DOUBLE phs: EM_GOOF_PHYSICS) is
			-- Make physicable
		do
			Precursor{EM_GOOF_PHYSICABLE}(img,x,y,phs)
			make_circle (position.x, position.y, 3, 2)
		end

feature {EM_GOOF_OBJECT, EM_GOOF_PHYSICS} -- Processing

	process(time_length: DOUBLE) is
			-- Process this object
		do
			Precursor{EM_GOOF_PHYSICABLE}(time_length)
			if position.y > 1000 then
				update_collidable(physics.collision_detector, false)
				destroy
			end
		end

feature -- Handler

	collide(a_collision: EM_COLLISION [EM_COLLIDABLE]) is
			-- It collides
		do
			update_collidable(physics.collision_detector, false)
			destroy
		end

end