indexing

	description: "[

		A tunnel inspired by the optimum demo group.

	]"
	date: "$Date: 2005/10/26 18:07:42 $"
	revision: "$Revision: 1.10 $"

class TUNNEL

inherit

	EM_APPLICATION

create

	make

feature {NONE} -- Initialization

	make is
			-- Create the main application.
		do
			-- Initialise screen
			video_subsystem.set_video_surface_width (window_width)
			video_subsystem.set_video_surface_height (window_height)
			video_subsystem.set_video_bpp (screen_resolution)
			video_subsystem.set_fullscreen (fullscreen)
			video_subsystem.enable
			initialize_screen

			set_window_title ("EiffelMedia Tunnel Example Project")
			set_window_icon ("icon.png")
			set_application_id ("tunnel_example")

			-- set first scene to be shown
			set_scene (create {TUNNEL_SCENE}.make_scene)
			launch

			-- disable everything we have enabled
			-- this prevent some possible memory leakes by the OS
			video_subsystem.disable
		end

feature {NONE} -- Implementation

	window_width: INTEGER is 512
			-- Window width

	window_height: INTEGER is 512
			-- Window height

	screen_resolution: INTEGER is 16
			-- Screen resolution

	fullscreen: BOOLEAN is false
			-- Fullscreen
end