indexing

	description: "[

		Cube Scene Demo

	]"
	date: "$Date: 2005/10/21 21:44:40 $"
	revision: "$Revision: 1.2 $"

class CUBE_SCENE

inherit

	EM_COMPONENT_SCENE
		redefine
			uninitialize_scene
		end

create

	make

feature {NONE} -- Initialization

	make is
			-- Initialise default values.
		do
			make_component_scene

			-- Sierpinski pyramid
			create cube_display.make
			cube_display.set_position (0, 100)
			cube_display.set_dimension (width, height-140)

			add_component (cube_display)
		end

	uninitialize_scene is
			-- Uninitialize scene.
		do
			-- clean up EiffelMedia so that the other scenes are shown correcly

			-- disable fog
			gl_disable (em_gl_fog)

			-- disable lightning
			gl_disable (em_gl_light0)
			gl_disable (em_gl_lighting)

			gl_disable (em_gl_blend)

			-- disable textures
			gl_disable (em_gl_texture_2d)
			gl_disable (em_gl_color_material)

			-- disable environment mapping
			gl_disable (em_gl_texture_gen_s)
			gl_disable (em_gl_texture_gen_t)
			gl_disable (Em_gl_depth_test)

			-- disable antialiasing
			gl_disable (Em_gl_line_smooth)
		end

	cube_display: CUBE
end