indexing

	description: "[

		Singleton access to the {EM_AUDIO_FACTORY} that creates objects
		of type EM_MUSIC, EM_SOUND and/or to initialize an audio stream.

	]"
	date: "$Date: 2005/10/22 13:22:42 $"
	revision: "$Revision: 1.6 $"

class EM_SHARED_AUDIO_FACTORY

feature -- Singleton access

	audio_factory: EM_AUDIO_FACTORY is
			-- Audio factory singleton
		indexing
			once_status: global
		once
			create Result.make
		ensure
			audio_factory_not_void: Result /= Void
		end

end