indexing

	description: "[

		Shared access for subsystem singletons.

	]"
	date: "$Date: 2005/10/23 08:56:58 $"
	revision: "$Revision: 1.8 $"

class EM_SHARED_SUBSYSTEMS

feature -- Access

	Video_subsystem: EM_VIDEO_SUBSYSTEM is
			-- EiffelMedia video subsystem
		once
			create Result.make
		ensure
			video_subsystem_not_void: Result /= Void
		end

	Audio_subsystem: EM_AUDIO_SUBSYSTEM is
			-- EiffelMedia audio subsystem
		once
			create Result.make
		ensure
			audio_subsystem_not_void: Result /= Void
		end

	Timer_subsystem: EM_TIMER_SUBSYSTEM is
			-- EiffelMedia timer subsystem
		once
			create Result.make
		ensure
			timer_subsystem_not_void: Result /= Void
		end

	Joystick_subsystem: EM_JOYSTICK_SUBSYSTEM is
			-- EiffelMedia joystick subsystem
		once
			create Result.make
		ensure
			joystick_subsystem_not_void: Result /= Void
		end

-- TODO: Never used? No purpose? As soon as this is clear remove this
-- TODO: Also class EM_THREAD_SUBSYSTEM and whole 'thread' cluster's purpose is unclear
--	thread_subsystem: EM_THREAD_SUBSYSTEM is
--			-- EiffelMedia thread subsystem
--		once
--			create Result.make
--		ensure
--			thread_subsystem_not_void: Result /= Void
--		end

	Cdrom_subsystem: EM_CDROM_SUBSYSTEM is
			-- EiffelMedia CD ROM subsystem
		once
			create Result.make
		ensure
			cdrom_subsystem_not_void: Result /= Void
		end

	Network_subsystem : EM_NETWORK_SUBSYSTEM is
			-- EiffelMedia network subsystem is
		once
			create Result.make
		ensure
			network_subsystem_not_void: Result /= void
		end

end