indexing

	description: "[

		Goof loader level factory.

	]"
	date: "$Date: 2005/10/23 15:36:59 $"
	revision: "$Revision: 1.5 $"

class EM_GOOF_LOADER_LEVEL_FACTORY

create

	make

feature -- Initialization

	make is
			-- make 'Current'
		do

		end

feature -- Properties

	level: EM_GOOF_PHYSICS
		-- Level to load

feature -- Operations

	create_level(a_background_file: STRING a_level_size,a_level_position,a_screen_size,a_screen_position: EM_VECTOR_2D speed: DOUBLE collision_set_no: INTEGER) is
			-- Make physics
		require
			a_level_size_not_void: a_level_size /= void
			a_level_position_not_void: a_level_position /= void
			a_screen_size_not_void: a_screen_size /= void
			a_screen_position_not_void: a_screen_position /= void
			a_background_file_not_void: a_background_file /= void
			collision_set_no_positive: collision_set_no > 0
		do
			create level.make(a_background_file,a_level_size,a_level_position,a_screen_size,a_screen_position,speed, collision_set_no)
		end

end