indexing

	description: "[

		A static mipmap texture which doesn't change after creation.

	]"
	date: "$Date$"
	revision: "$Revision$"

class GL_STATIC_MIPMAP_TEXTURE

inherit

	GL_STATIC_TEXTURE
		redefine
			make_from_surface
		end

create

	make_from_surface

feature {NONE} -- Initialisation

	make_from_surface (a_surface: EM_SURFACE) is
			-- Initialise texture with `a_surface'.
		local
			surface_texture: GL_SURFACE_MIPMAP_TEXTURE
		do
			create surface_texture.make_from_surface (a_surface)
			surface_texture.do_not_free_texture
			id := surface_texture.id
			width := surface_texture.width
			height := surface_texture.height
		end

end