#!/bin/sh

### VARIABLES THAT NEED TO BE CHANGED FOR YOUR SETUP ###
# Path to where you extracted the EiffelMedia tar file
export EM=/home/bayt/workspace/em

# Path to where you extracted the gobo tar file
export GOBO=/home/bayt/workspace/gobo

# Path to where you extracted the ewg tar file
export EWG=/home/bayt/workspace/ewg

# Path to where you installed EiffelStudio
export ISE_EIFFEL=/usr/local/Eiffel56

### VARIABLES THAT NORMALLY DON'T NEED TO BE CHANGED ###
# The compiler you are using - if you are on linux and you are using this scipt
# this should be OK for you, no need to change.
export GOBO_CC=gcc

# The Eiffel compiler you are using - em only supports this compiler at the 
# moment, so this should be OK for you, no need to change.
export GOBO_EIFFEL=ise

# Platform you are on - see EiffelStudios installation instructions if you want 
# know what this is
export ISE_PLATFORM=linux-x86

# Setting new path
export PATH=$EWG/bin:$GOBO/bin:$ISE_EIFFEL/studio/spec/$ISE_PLATFORM/bin:$PATH
